Package com.independentsoft.graph.sites

# Class Site

java.lang.Object
com.independentsoft.graph.sites.Site

public class Site extends Object
Represents a SharePoint site in Microsoft Graph.

A Site contains lists and document libraries and is used to organize and share content. Sites are organized into site collections; the root site of a collection exposes additional `SiteCollection` details.

Example usage:

     Site site = client.getSite("contoso.sharepoint.com:/sites/marketing");

     System.out.println(site.getDisplayName());
     System.out.println(site.getWebUrl());

Since:
  1.0
See Also:
  site resource type

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Site()`
  `Site​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getCreatedTime()`
  `String`
  `getDescription()`
  `String`
  `getDisplayName()`
  `String`
  `getETag()`
  `String`
  `getId()`
  `Date`
  `getLastModifiedTime()`
  `String`
  `getName()`
  `SharePointIds`
  `getSharePointIds()`
  `SiteCollection`
  `getSiteCollection()`
  `String`
  `getWebUrl()`
  `boolean`
  `isRoot()`
  `void`
  `setDescription​(String description)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Site

    public Site()

  - ### Site

    public Site​(JsonObject jsonObject)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()

  - ### getCreatedTime

    public Date getCreatedTime()

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription​(String description)

  - ### getETag

    public String getETag()

  - ### getDisplayName

    public String getDisplayName()

  - ### getLastModifiedTime

    public Date getLastModifiedTime()

  - ### getName

    public String getName()

  - ### isRoot

    public boolean isRoot()

  - ### getSharePointIds

    public SharePointIds getSharePointIds()

  - ### getSiteCollection

    public SiteCollection getSiteCollection()

  - ### getWebUrl

    public String getWebUrl()